Subject: [PATCH] hwmon: (gpio-fan) allow to use alarm support alone from DT

From: [email-masked] (Andrew Lunn)
Date: Wed, 25 Feb 2015 14:50:15 +0100

> Handle the GPIO fan alarm feature from the fan controller driver don't
> look good either to me. This alarm mechanism is not a part of the fan
> controller itself but rather something apart. Also I am afraid that the
> result would really look like a hack.

Hi Simon

It sounds like you need to extract the alarm code from gpio-fan into a
little library. Then put a wrapper around it to make a gpio-fan-alarm
driver.

	Andrew